# ARBTransposeMatrix (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTransposeMatrix

    java.lang.Object
      org.lwjgl.opengl.ARBTransposeMatrix

    public final class ARBTransposeMatrix

extends java.lang.Object

Field Summary
`static int` `GL_TRANSPOSE_COLOR_MATRIX_ARB`
`static int` `GL_TRANSPOSE_MODELVIEW_MATRIX_ARB`
`static int` `GL_TRANSPOSE_PROJECTION_MATRIX_ARB`
`static int` `GL_TRANSPOSE_TEXTURE_MATRIX_ARB`

Method Summary
`static void` `glLoadTransposeMatrixARB(java.nio.FloatBuffer pfMtx)`
`static void` `glMultTransposeMatrixARB(java.nio.FloatBuffer pfMtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TRANSPOSE_MODELVIEW_MATRIX_ARB

    public static final int GL_TRANSPOSE_MODELVIEW_MATRIX_ARB

See Also:
  Constant Field Values

### GL_TRANSPOSE_PROJECTION_MATRIX_ARB

    public static final int GL_TRANSPOSE_PROJECTION_MATRIX_ARB

See Also:
  Constant Field Values

### GL_TRANSPOSE_TEXTURE_MATRIX_ARB

    public static final int GL_TRANSPOSE_TEXTURE_MATRIX_ARB

See Also:
  Constant Field Values

### GL_TRANSPOSE_COLOR_MATRIX_ARB

    public static final int GL_TRANSPOSE_COLOR_MATRIX_ARB

See Also:
  Constant Field Values

Method Detail

### glLoadTransposeMatrixARB

    public static void glLoadTransposeMatrixARB(java.nio.FloatBuffer pfMtx)

### glMultTransposeMatrixARB

    public static void glMultTransposeMatrixARB(java.nio.FloatBuffer pfMtx)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.